# My Profile

> 🚧 **Coming Soon** - This endpoint is not yet live.

> 🔑 **Authentication required.** See [API Key](/apis/api-key.md) for setup and rate limits.

## `GET` /services/v2/my-profile

Returns your profile information and a list of coins you've created.

```
GET https://api.anoncoin.it/services/v2/my-profile
```

***

## Example Request

```bash
curl --location 'https://api.anoncoin.it/services/v2/my-profile' \
  --header 'x-api-key: YOUR_API_KEY'
```

***

## Response

```json
{
    "devWalletAddress": "EPBmgCVSiX6oWGym5TfmpkDsEHPgnhsD6Vk2ek38BUNW",
    "userName": "38BUNW",
    "profileImageUrl": "https://cdn.anoncoin.it/.../profile-image.png",
    "coinsCreated": [
        {
            "mint": "D25bi7oHQjqkVrzbfuM6k2gzVNHTSpBLhtakDCzCCDUB"
        }
    ]
}
```

***

## Response Fields

* `devWalletAddress` : Your Solana wallet address.
* `userName` : Your Anoncoin username.
* `profileImageUrl` : Your profile image URL.
* `coinsCreated` : Array of coins you've created.
  * `mint` : Solana token mint address of the created coin.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.anoncoin.it/apis/my-profile-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
